Delete a BYOK key
curl --request DELETE \
--url https://app.fullenrich.com/api/v2/providers/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fullenrich.com/api/v2/providers/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fullenrich.com/api/v2/providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/providers/{provider}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/providers/{provider}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.fullenrich.com/api/v2/providers/{provider}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/providers/{provider}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyBring Your Own Key
Delete a BYOK Key
Delete the key and its credentials. Deletion works when BYOK is not enabled for the workspace.
DELETE
/
providers
/
{provider}
Delete a BYOK key
curl --request DELETE \
--url https://app.fullenrich.com/api/v2/providers/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.fullenrich.com/api/v2/providers/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.fullenrich.com/api/v2/providers/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/providers/{provider}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/providers/{provider}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://app.fullenrich.com/api/v2/providers/{provider}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/providers/{provider}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDelete the key and its credentials.
- The response has no body.
- Deletion works when BYOK is not enabled for the workspace, so you can always remove your credentials.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Manage the keys of one sub-account instead of the workspace keys. See the Sub-accounts section of the BYOK overview.
Path Parameters
Provider identifier. Case-insensitive. Provider identifier. Case-insensitive in requests; responses use lowercase.
Available options:
prospeo, enrow, cleon1, datagma, aviato, wiza, forager_ai, icypeas, contact_out, people_data_labs, lusha, apollo_io, zoominfo Example:
"prospeo"
Response
Deleted
Was this page helpful?